Author: Reiner Herrmann <reiner@reiner-h.de>
Description: sort imported modules to get reproducible output

--- a/pyuic/uic/Compiler/compiler.py
+++ b/pyuic/uic/Compiler/compiler.py
@@ -114,7 +114,7 @@ class UICompiler(UIParser):
 
         self.factory._cpolicy._writeOutImports()
 
-        for res in self._resources:
+        for res in sorted(self._resources):
             write_import(res, from_imports)
 
         return {"widgetname": str(w),
--- a/pyuic/uic/Compiler/qobjectcreator.py
+++ b/pyuic/uic/Compiler/qobjectcreator.py
@@ -138,8 +138,8 @@ class _CustomWidgetLoader(object):
             _, module = self._widgets[widget]
             imports.setdefault(module, []).append(widget)
 
-        for module, classes in imports.items():
-            write_code("from %s import %s" % (module, ", ".join(classes)))
+        for module, classes in sorted(imports.items()):
+            write_code("from %s import %s" % (module, ", ".join(sorted(classes))))
 
 
 class CompilerCreatorPolicy(object):
